Subject: [Gen-art] RE: Gen-ART review of draft-hollenbeck-epp-rfc3733bis-04

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Nov 2006 07:02:00 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, November 21, 2006 4:09 AM
> To: Hollenbeck, Scott; [email-masked]; [email-masked]
> Subject: RE: Gen-ART review of draft-hollenbeck-epp-rfc3733bis-04
> 
> Scott Hollenbeck:
> 
> > > It can't simultaneously say that (1) document is valid XML and may
> > > use UTF-16 and other encodings, and (2) some text in the document
> > > is always encoded with UTF-8.
> > 
> > If I understand what you're saying I believe you're applying the
> > general guidance from 3730bis to the more specific application
> > that's described in 3733bis.  The core EPP spec (3730bis) describes
> > a framework.  The 3733bis mapping is a specific instance of
> > something that uses that mapping.  While in general it's possible to
> > implement EPP with an encoding other than UTF-8, the specific
> > mapping described in 3733bis is more restrictive.  3733bis does not
> > suggest that anything other than UTF-8 is acceptable for use with a
> > 3733bis implementation, though it does acknowledge XML reality in
> > section 5.  If you're uncomfortable with my attempt to make this
> > distinction I could really use an example of text that you think
> > makes things clear.
> 
> How about replacing this (in Section 5):
> 
>    "[...] use of UTF-8 is RECOMMENDED in environments where parser
>    encoding support incompatibility exists."
> 
> with
> 
>    "[...] use of UTF-8 is REQUIRED with this specification."
> 
> (Because RFC2119 "RECOMMENDED" clearly means other alternatives 
> are acceptable.)

Fine.

Ted, this one is probably best addressed with an RFC Editor note if
nothing else comes up during IESG review.  I sent the documents to the
I-D admin early yesterday.

-Scott-

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art